;InnoSetupVersion=2.0.18

[Setup]
AppName=qGo for Java
AppVerName=qGo for Java 0.0.9
AppId=qGo for Java
AppPublisher=Peter Strempel
AppPublisherURL=http://qgo.sourceforge.net/java
AppSupportURL=http://qgo.sourceforge.net/java
AppUpdatesURL=http://qgo.sourceforge.net/java
DefaultDirName={pf}\qGoForJava
DefaultGroupName=qGo for Java
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
ChangesAssociations=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\qGo.exe"; DestDir: "{app}"; 
Source: "{app}\lib\jh.jar"; DestDir: "{app}\lib"; 
Source: "{app}\lib\kunststoff.jar"; DestDir: "{app}\lib"; 
Source: "{app}\lib\metouia.jar"; DestDir: "{app}\lib"; 
Source: "{app}\lib\skinlf.jar"; DestDir: "{app}\lib"; 
Source: "{app}\lib\qgohelp.jar"; DestDir: "{app}\lib"; 
Source: "{app}\lib\themepack.zip"; DestDir: "{app}\lib"; 
Source: "{app}\lib\qGo.jar"; DestDir: "{app}\lib"; 
Source: "{app}\AUTHORS.txt"; DestDir: "{app}"; 
Source: "{app}\ChangeLog.txt"; DestDir: "{app}"; 
Source: "{app}\Licence.txt"; DestDir: "{app}"; 
Source: "{app}\README.txt"; DestDir: "{app}"; 
Source: "{app}\TODO.txt"; DestDir: "{app}"; 
Source: "{app}\doc\ch02.html"; DestDir: "{app}\doc"; 
Source: "{app}\doc\ch02s20.html"; DestDir: "{app}\doc"; 
Source: "{app}\doc\ch02s19.html"; DestDir: "{app}\doc"; 
Source: "{app}\doc\pr01.html"; DestDir: "{app}\doc"; 
Source: "{app}\doc\ch02s16.html"; DestDir: "{app}\doc"; 
Source: "{app}\doc\ch02s02.html"; DestDir: "{app}\doc"; 
Source: "{app}\doc\index.html"; DestDir: "{app}\doc"; 
Source: "{app}\doc\ch01.html"; DestDir: "{app}\doc"; 
Source: "{app}\doc\ch02s17.html"; DestDir: "{app}\doc"; 
Source: "{app}\doc\images\tip.png"; DestDir: "{app}\doc\images"; 
Source: "{app}\doc\images\warning.png"; DestDir: "{app}\doc\images"; 
Source: "{app}\doc\images\note.png"; DestDir: "{app}\doc\images"; 

[Registry]
Root: HKCR; Subkey: ".sgf"; ValueType: String; ValueData: "qGoForJava"; Tasks: fileassoc; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "qGoForJava"; ValueType: String; ValueData: "qGoForJava"; Tasks: fileassoc; Flags: uninsdeletekey 
Root: HKCR; Subkey: "qGoForJava\DefaultIcon"; ValueType: String; ValueData: "{app}\qGo.exe,0"; Tasks: fileassoc; 
Root: HKCR; Subkey: "qGoForJava\shell\open\command"; ValueType: String; ValueData: """{app}\qGo.exe"" ""%1"""; Tasks: fileassoc; 
Root: HKLM; Subkey: "Software\qGoforJava"; ValueName: "Location"; ValueType: String; ValueData: "{app}\"; Flags: uninsdeletevalue 

[INI]
FileName: "{app}\qgo.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://qgo.sourceforge.net/java"; 

[Icons]
Name: "{group}\qGo"; Filename: "{app}\qGo.exe"; WorkingDir: "{app}"; Comment: "qGo for Java - a SGF editor and IGS client."; 
Name: "{group}\qGo on the Web"; Filename: "{app}\qgo.url"; 
Name: "{group}\qGo Manual"; Filename: "{app}\doc\index.html"; 
Name: "{userdesktop}\qGo"; Filename: "{app}\qGo.exe"; WorkingDir: "{app}"; Comment: "qGo for Java - a SGF editor and IGS client."; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "fileassoc"; Description: "&Associate qGo with the .sgf extension"; GroupDescription: "Other tasks:"; 

[UninstallDelete]
Type: files; Name: "{app}\qgo.url"; 
